=== debian/changelog ===
libgnatcoll-db (18-4) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:59 +0200

libgnatcoll-db (18-3) experimental; urgency=medium

  * Link with pthread on architectures affected by #760211.
  * Standards-Version: 4.2.0. Rules-Requires-Root: no.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 03 Aug 2018 20:58:05 +0200

libgnatcoll-db (18-2) experimental; urgency=medium

  * Unset Library_Interface in sqlite project,
    restoring the symbols from the builder and gnade components.
  * Prevent such regressions with a runtime test.
  * Move LDFLAGS before libraries also when linking executables.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 01 Jul 2018 22:47:36 +0200

libgnatcoll-db (18-1) experimental; urgency=medium

  * New upstream version, splitting the libgnatcoll source package.
    Repackage this component without the huge copy of sqlite generated code.
  * No ALI/SO package renaming in experimental, but two new binary packages:
    libgnatcoll-sqlSO and libgnatcoll-sqlALI-dev.
  * Replace gnatcoll_db2ada executable name with new upstream name
    depending on the backend: gnatcoll_sqlite2ada.
  * Fix language list in sqlite module (error with dh_ada_library).
  * Remove -l options for static libraries (error with recent gprbuild).
  * Rewrite d/rules sequentially. The build must be strictly linear, so
    using Make syntax only leads to confusion.
  * Add a minimal run time test.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 Jun 2018 15:43:05 +0200

libgnatcoll (17.0.2017-5) experimental; urgency=medium

  * Rebuild with gnat-8, libgpr1-dev, libgtkada18-dev..
    Rename shared libraries and -dev packages per Debian Ada policy.
  * Remove watch file. Explain why in README.source.
  * Install documentation to libgnatcoll-doc.
    Doc is shared for all -dev packages, so the effort is wasted.
  * Remove override for lintian pedantic messages.
  * Update upstream home page.
  * Use forgotten sphinxdoc:Built-Using substitution variable.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 08:13:15 +0200

libgnatcoll (17.0.2017-4) unstable; urgency=medium

  * Upload to unstable.
  * Break+Replace: previous gtkada-dev package per Ada policy. Closes: #896570.
  * Standards-Version: 4.1.4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 17:17:56 +0200

libgnatcoll (17.0.2017-4~pre1) experimental; urgency=medium

  * Rebuild with libgtkada-dev updating gtk-gir, fixing gnat-gps.
    Ada policy requires a renaming of the libgnatcoll-gtk-dev package,
    but the fix does not affect the gnatcoll ABI and SO version.
  * Debhelper 11 and Standards-Version: 4.1.3.
    Move docs from /u/s/doc/*-doc to /u/s/doc/*-dev.
  * Build-Depends: drop obsolete version restriction on dpkg-dev.
  * python_single_statement_set_default_console.diff: fix serious typo.
  * Build-Depend: drop dpkg-dev obsolete version restriction.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 03 Mar 2018 14:28:59 +0100

libgnatcoll (17.0.2017-3) unstable; urgency=medium

  * Make testsuite more verbose. Closes: #872081.
  * Build-Depend latexmk for LaTeX sphinx-doc module. Closes: #872204.
  * Build-Depend: python3 version of sphinx-doc. Patch conf.py.
  * Standards-Version: 4.1.0.
  * Rebuild with libgpr 2017-5 (because of libxmlada-unicode).
    -dev version is already new in testing.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 16:54:43 +0200

libgnatcoll (17.0.2017-2) unstable; urgency=medium

  * Upload to unstable.
  * The switch to gcc-7 requires a SO version bump for each library,
    except gnatcoll, g-python, g-xref, already new in unstable.
    The Break/Replace with previous -dev becomes implicit in unstable.
  * Disable parallel doc generation to prevent #869098.
  * Standards-Version: 4.0.1. Priority: optional.
  * Vcs-Mtn: new URI format.
  * clean objects forgotten by aclocal.m4.
  * Build-Depends: renamed texlive-plain-generic.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 12:42:17 +0200

libgnatcoll (17.0.2017-1) experimental; urgency=medium

  * New upstream release, two new packages for the gnatcoll-xref library.
    No ALI/SO bump in experimental.
  * Build with gnat-7, which deals with SOURCE_DATE_EPOCH directly.
  * Debhelper 10, which deals with autoconf generated stuff.
  * Standards-Version: 4.0.0. Downgrade -doc to Suggests.
    HTTPS URL for copyright format. Handle DEB_BUILD_OPTIONS=nodoc.
  * Allow -doc package to satisfy multi-arch foreign dependencies.
  * PDFLatex now handles SOURCE_DATE_EPOCH without faketime.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Jul 2017 01:44:33 +0200

libgnatcoll (16.1.0-1) experimental; urgency=medium

  * New upstream release. Update to ligtkada16.1.0-dev.
    Replace libgnatprj/vsn, dropped by GCC with libgpr from gprbuild.
    Bump ALI versions and conflict/break previous -dev per Ada policy.
    Bump SO versions for gnatcoll and gnatcoll-python.
  * Remove many patches to upstream Makefile and invoke gprbuild directly.
    Upstream prefers a reduced set of well tested configurations.
  * remove generate-sources-timestamp.diff, but regenerate the sources after
    the build and fail if they differ with the ones from the tarball.
  * python_single_statement_set_default_console.diff was waiting an ALI bump.
  * Select all hardening flags, gprbuild will override pie when needed.
  * C sources, ignored in ALI files, do not require predictible timestamps.
  * Simplify watch file thanks to version 4 format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 21 Aug 2016 17:48:30 +0200

libgnatcoll (1.7gpl2015-2) unstable; urgency=medium

  * Revert to python2 as long as most startup scripts in the gnat-gps
    reverse dependency are incompatible with python3. Reopens: #760004.
  * Build-Depend: texlive-generic-extra for iftex.sty. Closes: #830334.

