=== debian/control ===
Source: libgnatcoll-db
Priority: optional
Section: misc
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 11),
 gnat, gnat-8,
# This line is parsed to set gnat version.
# dh-ada-library allowing .ada extension.
 dh-ada-library (>= 6.10),
# gprbuild cleaning auto.cgpr.
 gprbuild (>= 2017),
 libgnatcoll17-dev,
 libgnatcoll-iconv17-dev,
 libsqlite3-dev
Homepage: https://www.adacore.com/community
Standards-Version: 4.2.0
Rules-Requires-Root: no

######################################################################

Package: libgnatcoll-sqlite17-dev
Section: libdevel
Architecture: any
Depends: libsqlite3-dev, ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (SQLite)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 dedicated to SQLite databases manipulation.

Package: libgnatcoll-sqlite18
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (sqlite runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the SQLite
 extension.

Package: libgnatcoll-sqlite-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# gnat-gps used to provide gnatinspect.
Breaks: gnat-gps (<< 5.3-4)
Replaces: gnat-gps (<< 5.3-4)
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (SQLite tools)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the tools dedicated to SQLite database
 manipulation (gnatcoll_db2ada and gnatinspect).
 .
 The former only accepts the sqlite backend, because the PostGreSQL
 library and the non-commercial GNATColl carry incompatible licenses.

######################################################################

Package: libgnatcoll-sql1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (SQL)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 dedicated to SQL databases manipulation.
 .
 It connects to actual databases via a sqlite or a postgres backend,
 but only the former exists in Debian due to license reasons.

Package: libgnatcoll-sql1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (SQL runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the SQL
 extension.

######################################################################

Package: libgnatcoll-xref18-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libgnatcoll-doc
Description: GNATColl, general purpose Ada library (XRef)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the static library and Ada specifications
 for the XRef extension.

Package: libgnatcoll-xref18
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GNATColl, general purpose Ada library (XRef runtime)
 The GNAT Component Collection deals with: module tracing, efficient
 file IO, static string searching (Boyer-Moore), e-mails and
 mailboxes, Ravenscar tasking profiles, storage pools, JSON, logging,
 shell scripting. Components relying on external dependencies are
 distributed in separate packages.
 .
 This package contains the runtime shared library for the XRef
 extension.
