=== debian/changelog ===
libgnatcoll-db (19.2-3) unstable; urgency=medium

  [ Aurelien Jarno <aurelien@aurel32.net> ]
  * Compile with mixgot option on mipsel. Closes: #953069.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 25 Mar 2020 15:40:52 +0100

libgnatcoll-db (19.2-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Use debhelper 12 dh-sequence- syntax.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 17:48:18 +0100

libgnatcoll-db (19.2-1) experimental; urgency=medium

  * New upstream release, rebuilt with gcc-9 and updated dependencies.
    Rename lib and -dev packages accordingly.
  * Source is now only available as github commits instead of tarballs.
    Update Homepage, Source. Provide a script recreating the .orig.
  * Though distributed differently, the GPL versions do *not* provide
    the GCC Runtime exception to non-paying customers.
  * Track packaging history at salsa.debian.org.
  * Debhelper 12. Standards-Version 4.4.1, sort dependencies.
  * Fix a gpr project attribute name in link-pthread.diff.
  * Enable all linker warnings.
  * Only include specific dpkg-dev snippet.
  * Update autopkgtest variable name for temporary directory.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 Dec 2019 17:47:27 +0100
