=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 Priority: optional
 Section: misc
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-sequence-ada-library,
+ gnat, gnat-9,
 # This line is parsed to set gnat version.
-# dh-ada-library allowing .ada extension.
- dh-ada-library (>= 6.10),
-# gprbuild cleaning auto.cgpr.
  gprbuild (>= 2017),
- libgnatcoll17-dev,
- libgnatcoll-iconv17-dev,
- libsqlite3-dev
-Homepage: https://www.adacore.com/community
-Standards-Version: 4.2.0
+ libgnatcoll18-dev,
+ libgnatcoll-iconv18-dev,
+ libsqlite3-dev,
+Homepage: https://github.com/AdaCore/gnatcoll-db
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-db
+Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-db.git
 
 ######################################################################
 
-Package: libgnatcoll-sqlite17-dev
+Package: libgnatcoll-sqlite18-dev
 Section: libdevel
 Architecture: any
 Depends: libsqlite3-dev, ${misc:Depends}, ${ada:Depends}
@@ -33,7 +34,7 @@
  This package contains the static library and Ada specifications
  dedicated to SQLite databases manipulation.
 
-Package: libgnatcoll-sqlite18
+Package: libgnatcoll-sqlite19
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,9 +54,6 @@
 Section: devel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-# gnat-gps used to provide gnatinspect.
-Breaks: gnat-gps (<< 5.3-4)
-Replaces: gnat-gps (<< 5.3-4)
 Suggests: libgnatcoll-doc
 Description: GNATColl, general purpose Ada library (SQLite tools)
  The GNAT Component Collection deals with: module tracing, efficient
@@ -72,7 +70,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-sql1-dev
+Package: libgnatcoll-sql2-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -90,7 +88,7 @@
  It connects to actual databases via a sqlite or a postgres backend,
  but only the former exists in Debian due to license reasons.
 
-Package: libgnatcoll-sql1
+Package: libgnatcoll-sql2
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -108,7 +106,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-xref18-dev
+Package: libgnatcoll-xref19-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -123,7 +121,7 @@
  This package contains the static library and Ada specifications
  for the XRef extension.
 
-Package: libgnatcoll-xref18
+Package: libgnatcoll-xref19
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
