=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
-# Build script for GNATColl in Debian.
-# Copyright (c) 2014-2018 Nicolas Boulenguez <nicolas@debian.org>
+# Build script for GNATColl database components in Debian.
+# Copyright (c) 2014-2019 Nicolas Boulenguez <nicolas@debian.org>
 
 # This build script is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -21,7 +21,16 @@
   ' debian/control),$(eval $(line)))
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
-include /usr/share/dpkg/default.mk
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
+  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
+
+# On mipsel gnatcoll-xref.adb generates long jump that do not fit in
+# standard branch instructions. Use the mxgot option to workaround that.
+ifeq ($(DEB_HOST_ARCH),mipsel)
+  DEB_CFLAGS_MAINT_APPEND := -mxgot
+endif
+
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
 
 # The scenario variables passed to gprbuild and dh_ada_library.
@@ -38,7 +47,7 @@
 gpr_opts := -p $(BUILDER_OPTIONS) $(foreach v,$(vars),-X$(v)="$($(v))")
 
 %:
-	dh $@ --with ada-library
+	dh $@
 
 # Dependencies and parallelism are handled by gprbuild,
 # avoid using Make for this (risky, without much gain).
